import CoEuiTabs from '../../../components/14x/eui-tabs.js'
import EuiBasePage from '../14x/eui-base.po.js'
import CoEuiTab from '../../../components/14x/eui-tab.js'
import CoEuiTabLabel from '../../../components/14x/eui-tab-label.js'

export default class EuiTabsPage extends EuiBasePage {

  constructor() {
      super();
  }
  get euiTabsCO() {
    return new CoEuiTabs(this.mainContent);
  }
  tabsFromSectionWithIdByIndex(id, index) {
    let tabs = new CoEuiTabs(this.sectionById(id));
    return tabs.byIndex(index);
  }
  get euiTabCO() {
    return new CoEuiTab(this.mainContent);
  }
  get euiTabLabelCO() {
    return new CoEuiTabLabel(this.dataE2E);
  }
}


